<template>
  <div class="q-pa-md">
    <q-card padding class="q-pa-md flex-center">
      <q-form>
        <div class="row justify-center text-bold" style="padding: 10px; font-size: 20px">
      EQUIPMENT INFORMATION
    </div>
    <div class="row justify-center" style="padding: 5px">
      <div class="col-3 text-bold" style="padding: 2px">Name: {{mobile_phones.name}}</div>
      <div class="col-3 text-bold" style="padding: 2px"></div>
    </div>
    <div class="row justify-center" style="padding: 5px">
      <div class="col-3 text-bold" style="padding: 2px">Serial Number: {{mobile_phones.serial_number}}</div>
      <div class="col-3 text-bold" style="padding: 2px"></div>
    </div>
    <div class="row justify-center" style="padding: 5px">
      <div class="col-3 text-bold" style="padding: 2px">Description: {{mobile_phones.description}}</div>
      <div class="col-3 text-bold" style="padding: 2px"></div>
    </div>
    <div class="row justify-center" style="padding: 5px">
      <div class="col-3 text-bold" style="padding: 2px">Serial Number: </div>
      <div class="col-3 text-bold" style="padding: 2px"></div>
    </div>
    <div class="row justify-center" style="padding: 5px">
      <div class="col-3 text-bold" style="padding: 2px">Serial Number:</div>
      <div class="col-3 text-bold" style="padding: 2px"></div>
    </div>
    <div class="row justify-center" style="padding: 5px">
      <div class="col-3 text-bold" style="padding: 2px">Serial Number:</div>
      <div class="col-3 text-bold" style="padding: 2px"></div>
    </div>
      </q-form>
    </q-card>
  </div>
</template>

<script>
import axios from 'axios'
export default {
  data () {
    return {
      laptops: [],
      mobile_phones: [],
      desks: [],
      printers: [],
      errors: []
    }
  },

  // Fetches posts when the component is created.

  async created () {
    // axios.get('http://localhost:1337/mobiles')
    //   .then(response => {
    //     // JSON responses are automatically parsed.
    //     this.mobiles = response.data
    //   })
    //   .catch(e => {
    //     this.errors.push(e)
    //   })
    // async / await version (created() becomes async created())
    try {
      const response = await axios.get('http://localhost:1337/mobile-phones/1')
      this.mobile_phones = response.data
    } catch (e) {
      this.errors.push(e)
    }
  }
}
</script>
